package com.ruoyi.project.pssr.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 锁开锁关阀门状态对象 t_pssr_lock
 *
 * @author ssy
 * @date 2024-09-23
 */
public class TPssrLock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 内容表id */
    @Excel(name = "内容表id")
    private Long subId;

    /** 审批id */
    @Excel(name = "审批id")
    private Long approveId;

    /** 单元 */
    @Excel(name = "单元")
    private String unit;

    /** PID图号 */
    @Excel(name = "PID图号")
    private String pidNo;
    private List<String> pidNos;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private String lockSize;

    /** PID标注状态 */
    @Excel(name = "PID标注状态")
    private String pidStatus;

    /** 拆锁人 */
    @Excel(name = "拆锁人")
    private String unlocker;

    /** 拆锁时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "拆锁时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date unlockDate;

    /** 上锁人 */
    @Excel(name = "上锁人")
    private String lockeder;

    /** 上锁时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "上锁时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lockedDate;

    /** 上锁位置正确(是/否) */
    @Excel(name = "上锁位置正确(是/否)")
    private String positionRight;

    /** 阀门状态正确(是/否) */
    @Excel(name = "阀门状态正确(是/否)")
    private String statusRight;

    /** 锁开锁关紧固(是/否) */
    @Excel(name = "锁开锁关紧固(是/否)")
    private String fastening;

    /** 锁体和链条无损坏(是/否) */
    @Excel(name = "锁体和链条无损坏(是/否)")
    private String noDamage;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirm;

    /** 确认时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "确认时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date confirmationDate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;
    
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;
    private String confirm1Name;
    private String confirm2Name;
    private List<Long> fileIds;
    private List<TPssrFile> fileList;

    private String reason;
    
    private Long fileNum;

    public Long getFileNum() {
        return fileNum;
    }

    public void setFileNum(Long fileNum) {
        this.fileNum = fileNum;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public List<TPssrFile> getFileList() {
        return fileList;
    }

    public void setFileList(List<TPssrFile> fileList) {
        this.fileList = fileList;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public String getConfirm1Name() {
        return confirm1Name;
    }

    public void setConfirm1Name(String confirm1Name) {
        this.confirm1Name = confirm1Name;
    }

    public String getConfirm2Name() {
        return confirm2Name;
    }

    public void setConfirm2Name(String confirm2Name) {
        this.confirm2Name = confirm2Name;
    }

    private Long[] ids;

    private Long taskType;

    /** 岗位*/
    private String lockPost;
    /** 锁编号*/
    private String lockCode;
    /** 介质*/
    private String medium;
    /** 风险等级*/
    private String riskLevel;
    /** 编码一致*/
    private String codeAccord;

    public String getLockPost() {
        return lockPost;
    }

    public void setLockPost(String lockPost) {
        this.lockPost = lockPost;
    }

    public String getLockCode() {
        return lockCode;
    }

    public void setLockCode(String lockCode) {
        this.lockCode = lockCode;
    }

    public String getMedium() {
        return medium;
    }

    public void setMedium(String medium) {
        this.medium = medium;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public String getCodeAccord() {
        return codeAccord;
    }

    public void setCodeAccord(String codeAccord) {
        this.codeAccord = codeAccord;
    }

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public Long getTaskType() {
        return taskType;
    }

    public void setTaskType(Long taskType) {
        this.taskType = taskType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubId(Long subId)
    {
        this.subId = subId;
    }

    public Long getSubId()
    {
        return subId;
    }
    public void setApproveId(Long approveId)
    {
        this.approveId = approveId;
    }

    public Long getApproveId()
    {
        return approveId;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }

    public List<String> getPidNos() {
        return pidNos;
    }

    public void setPidNos(List<String> pidNos) {
        this.pidNos = pidNos;
    }

    public void setPidNo(String pidNo)
    {
        this.pidNo = pidNo;
    }

    public String getPidNo()
    {
        return pidNo;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setLockSize(String lockSize)
    {
        this.lockSize = lockSize;
    }

    public String getLockSize()
    {
        return lockSize;
    }
    public void setPidStatus(String pidStatus)
    {
        this.pidStatus = pidStatus;
    }

    public String getPidStatus()
    {
        return pidStatus;
    }
    public void setUnlocker(String unlocker)
    {
        this.unlocker = unlocker;
    }

    public String getUnlocker()
    {
        return unlocker;
    }
    public void setUnlockDate(Date unlockDate)
    {
        this.unlockDate = unlockDate;
    }

    public Date getUnlockDate()
    {
        return unlockDate;
    }
    public void setLockeder(String lockeder)
    {
        this.lockeder = lockeder;
    }

    public String getLockeder()
    {
        return lockeder;
    }
    public void setLockedDate(Date lockedDate)
    {
        this.lockedDate = lockedDate;
    }

    public Date getLockedDate()
    {
        return lockedDate;
    }
    public void setPositionRight(String positionRight)
    {
        this.positionRight = positionRight;
    }

    public String getPositionRight()
    {
        return positionRight;
    }
    public void setStatusRight(String statusRight)
    {
        this.statusRight = statusRight;
    }

    public String getStatusRight()
    {
        return statusRight;
    }
    public void setFastening(String fastening)
    {
        this.fastening = fastening;
    }

    public String getFastening()
    {
        return fastening;
    }
    public void setNoDamage(String noDamage)
    {
        this.noDamage = noDamage;
    }

    public String getNoDamage()
    {
        return noDamage;
    }
    public void setConfirm(String confirm)
    {
        this.confirm = confirm;
    }

    public String getConfirm()
    {
        return confirm;
    }
    public void setConfirmationDate(Date confirmationDate)
    {
        this.confirmationDate = confirmationDate;
    }

    public Date getConfirmationDate()
    {
        return confirmationDate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subId", getSubId())
            .append("approveId", getApproveId())
            .append("unit", getUnit())
            .append("pidNo", getPidNo())
            .append("position", getPosition())
            .append("lockSize", getLockSize())
            .append("pidStatus", getPidStatus())
            .append("unlocker", getUnlocker())
            .append("unlockDate", getUnlockDate())
            .append("lockeder", getLockeder())
            .append("lockedDate", getLockedDate())
            .append("positionRight", getPositionRight())
            .append("statusRight", getStatusRight())
            .append("fastening", getFastening())
            .append("noDamage", getNoDamage())
            .append("confirm", getConfirm())
            .append("confirmationDate", getConfirmationDate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .toString();
    }
}
